REGULATOR_SET_VOLTAG(9)

NAME
regulator_set_voltage_time - get raise/fall time

SYNOPSIS

int regulator_set_voltage_time(struct regulator * regulator, int old_uV, int new_uV);

ARGUMENTS

regulator
    regulator source

old_uV
    starting voltage in microvolts

new_uV
    target voltage in microvolts

DESCRIPTION

Provided with the starting and ending voltage, this function attempts to calculate the time in microseconds required to rise or fall to this new voltage.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT